MS05-043: Vulnerability in Print Spooler Service Could Allow Remote Code Execution (896423)

Critical Nessus Plugin ID 19406


Arbitrary code can be executed on the remote host due to a flaw in the Spooler service.


The remote host contains a version of the Print Spooler service that is vulnerable to a security flaw that could allow an attacker to execute code on the remote host or crash the spooler service.

An attacker can execute code on the remote host with a NULL session against :

- Windows 2000

An attacker can crash the remote service with a NULL session against :

- Windows 2000
- Windows XP SP1

An attacker needs valid credentials to crash the service against :

- Windows 2003
- Windows XP SP2


Microsoft has released a set of patches for Windows 2000, XP and 2003.

See Also

Plugin Details

Severity: Critical

ID: 19406

File Name: smb_nt_ms05-043.nasl

Version: $Revision: 1.34 $

Type: local

Agent: windows

Published: 2005/08/09

Modified: 2017/08/09

Dependencies: 13855, 57033

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 8.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2005/08/09

Vulnerability Publication Date: 2005/08/09

Exploitable With


Core Impact

Reference Information

CVE: CVE-2005-1984

BID: 14514

OSVDB: 18607

MSFT: MS05-043

CERT: 220821

MSKB: 896423